std::basic_ios::basic_ios(3)

NAME
std::basic_ios::basic_ios - std::basic_ios::basic_ios

Synopsis
   protected: (1)
   basic_ios();
   public: (2)
   explicit basic_ios( std::basic_streambuf<CharT,Traits>* sb );
   private: (until C++11)
   basic_ios(const basic_ios&); (3)
   public: (since C++11)
   basic_ios(const basic_ios& ) = delete;
   Constructs new basic_ios object.
   1) Default constructor. The internal state is not initialized. init() must be called
   before the first use of the object or before destructor, otherwise the behavior is
   undefined.
   2) Initializes the internal state by calling init(sb). The associated stream buffer
   is set to sb.
   3) The copy constructor was declared private: and not defined until C++11 and is
   declared as deleted in C++11: I/O streams are not CopyConstructible.

Parameters
   sb - stream buffer to associate to